> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Proxy User ACLs

> Search Proxy User ACL entries on the customer account using various filters.
Only returns ACL entries for proxy users that belong to the current customer.




## OpenAPI

````yaml get /public/user/proxy_user_acl/search
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/proxy_user_acl/search:
    get:
      tags:
        - Proxy User ACL
      summary: Search Proxy User ACLs
      description: >
        Search Proxy User ACL entries on the customer account using various
        filters.

        Only returns ACL entries for proxy users that belong to the current
        customer.
      parameters:
        - name: proxy_user_acl_id
          in: query
          description: ID of the Proxy User ACL
          schema:
            type: string
        - name: proxy_user_id
          in: query
          description: ID of the Proxy User
          schema:
            type: string
        - name: service_id
          in: query
          description: ID of the Service
          schema:
            type: string
        - name: proxy_id
          in: query
          description: ID of the Proxy
          schema:
            type: string
        - name: proxy_user_acl_creation_datetime
          in: query
          description: Creation datetime of the Proxy User ACL (supports min_/max_)
          schema:
            type: string
            format: date-time
        - name: per_page
          in: query
          description: Number of items per page for pagination
          schema:
            type: integer
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
        - name: sort_by
          in: query
          description: Key for sorting or random.
          schema:
            type: string
      responses:
        '200':
          description: Successful Proxy User ACL search
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProxyUserAcl'
                  item_count:
                    type: integer
                    description: Number of items returned in this response
                    example: 10
                  message:
                    type: string
                    description: Success message
                    example: Proxy User ACL search successful.
                  page:
                    type: integer
                    description: Current page number
                    example: 1
                  per_page:
                    type: integer
                    description: Number of items per page
                    example: 10
                  total_count:
                    type: integer
                    description: Total number of items matching the search criteria
                    example: 25
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ProxyUserAcl:
      type: object
      properties:
        proxy_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440001
        proxy_user_acl_creation_datetime:
          type: string
          format: date-time
        proxy_user_acl_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        proxy_user_id:
          type: string
          example: stevejobs
        service_id:
          type: string
          example: API-1234-5678

````